import request from '@/utils/request'

// 用户列表
export function getUserList(params: any) {
    return request.get({ url: '/user.user/lists', params }, { ignoreCancelToken: true })
}

// 土地表列表
export function apiLandLists(params: any) {
    return request.get({ url: '/land.land/lists', params })
}

// 土地种植表列表
export function apiLandPlantLists(params: any) {
    return request.get({ url: '/land.land_plant/lists', params })
}

// 添加土地种植表
export function apiLandPlantAdd(params: any) {
    return request.post({ url: '/land.land_plant/add', params })
}

// 编辑土地种植表
export function apiLandPlantEdit(params: any) {
    return request.post({ url: '/land.land_plant/edit', params })
}

// 删除土地种植表
export function apiLandPlantDelete(params: any) {
    return request.post({ url: '/land.land_plant/delete', params })
}

// 土地种植表详情
export function apiLandPlantDetail(params: any) {
    return request.get({ url: '/land.land_plant/detail', params })
}

// 种植溯源信息
export function apiSuyuanDetail(params: any) {
    return request.get({ url: '/land.land_plant/suyuan', params })
}